跳转到内容

Personaplex

集成

模型 id personaplex
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/personaplex?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.01 10 API 积分 · ≈ ₽1.05 运行前会测量你的文件 在此页面运行

获取 API 密钥
NVIDIA 音频 #audio

语音到语音的对话模型,以你选择的角色和音色回答语音输入

NVIDIA · 音频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

默认 You are a wise and fr...

定义 AI 角色和对话上下文的文本提示词。

拖放文件,或

声音克隆样本 URL;建议提供时长至少为 10 秒的清晰语音。样本会即时克隆,替代 AI 响应的预设 'voice'。

•必填 audio_url
拖放文件,或

包含用户语音的音频输入 URL。

高级 voice · temperature_audio · temperature_text · top_k_audio · top_k_text · seed · enable_safety_checker
默认 NATF2

AI 响应的音色 ID;提供 voice_audio_url 时会覆盖此值。其代码区分自然音色 (NAT) 与多样音色 (VAR),以及女性音色 (F) 与男性音色 (M)。

默认 0.8

采样音频时使用的温度;提高该值会产生更多样的结果。

默认 0.7

采样文本时使用的温度;提高该值会产生更多样的结果。

默认 250

用于采样音频 token 的 Top-K 设置。

默认 25

用于采样文本 token 的 Top-K 设置。

控制随机性的种子,以获得可复现的结果。

POST /run/personaplex?wait=20 报价 → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/personaplex?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Personaplex

通过 `audio_url` 接收用户语音,并返回生成的语音,同时提供回复的转录文本和时长。文本 `prompt` 定义角色,`voice` 选择预设音色。或者,`voice_audio_url` 可从样本克隆音色,建议提供 10 秒或更长的清晰语音。可通过 temperature 和 top-k 设置调节采样。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt可选
类型string
默认值You are a wise and friendly teacher. Answer questions or provide advice in a clear and engaging way.
定义 AI 角色和对话上下文的文本提示词。
voice可选
类型enum
默认值NATF2
NATF0NATF1NATF2NATF3NATM0NATM1NATM2NATM3VARF0VARF1VARF2VARF3VARF4VARM0VARM1VARM2
另外 2 个VARM3VARM4
AI 响应的音色 ID;提供 voice_audio_url 时会覆盖此值。其代码区分自然音色 (NAT) 与多样音色 (VAR),以及女性音色 (F) 与男性音色 (M)。
voice_audio_url可选
类型url · audio
声音克隆样本 URL;建议提供时长至少为 10 秒的清晰语音。样本会即时克隆,替代 AI 响应的预设 'voice'。
temperature_audio可选
类型number
默认值0.8
0 – 2
采样音频时使用的温度;提高该值会产生更多样的结果。
temperature_text可选
类型number
默认值0.7
0 – 2
采样文本时使用的温度;提高该值会产生更多样的结果。
top_k_audio可选
类型integer
默认值250
1 – 2,048
用于采样音频 token 的 Top-K 设置。
top_k_text可选
类型integer
默认值25
1 – 1,000
用于采样文本 token 的 Top-K 设置。
seed可选
类型integer | null
控制随机性的种子,以获得可复现的结果。
audio_url必填 audio
类型url · audio
包含用户语音的音频输入 URL。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "personaplex",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "text": " Thank you for calling SwiftPlex Appliances. This is Farhod, how can I help you today? I understand your concern. The replacement part is out of stock, so we can't ship it right away. We can use an alternative part that will arrive in 3 days. Would you like to proceed with that?",
    "duration": 5,
    "seed": 42
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
audio
object {url, content_type, file_name, file_size}AI 生成的响应音频,格式为 WAV,采样率为 24 kHz。
text
stringAI 响应的文本转写。
duration
number生成音频的时长,单位为秒。
seed
integer生成期间应用的种子值。

更多模型:音频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/personaplex.md. 所有模型和指南: https://doitong.com/developers/llms.txt